﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Project_VolgaIT
{
    public partial class SettingForm : Form
    {
        public SettingForm()
        {
            InitializeComponent();
            maxOpponent.Value = Settings.Default.OpponentCount;
            MazeSelect.SelectedIndex = Settings.Default.maze;
        }

        private void maxOpponent_ValueChanged(object sender, EventArgs e)
        {
            Settings.Default.OpponentCount = (int)maxOpponent.Value;
        }

        private void Save_Click(object sender, EventArgs e)
        {
            if(SessiaSave.Checked)
                Settings.Default.Save();
            this.Close();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Settings.Default.maze = MazeSelect.SelectedIndex;
        }
    }
}
